For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
      • GETGet entity onboarding data
      • PUTUpdate entity onboarding data
      • PATCHPatch entity onboarding data
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
PaymentsEntity onboarding data

Patch entity onboarding data

PATCH
/entities/:entity_id/onboarding_data
PATCH
/v1/entities/:entity_id/onboarding_data
$curl -X PATCH https://api.sandbox.monite.com/v1/entities/entity_id/onboarding_data \
> -H "x-monite-version: 2024-05-25" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "business_profile": {
3 "description_of_goods_or_services": "description_of_goods_or_services",
4 "estimated_monthly_revenue": {
5 "amount": 1,
6 "currency": "AED"
7 },
8 "mcc": "mcc",
9 "operating_countries": [
10 "AF"
11 ],
12 "url": "url"
13 },
14 "ownership_declaration": {
15 "date": "2024-01-15T09:30:00Z",
16 "ip": "ip"
17 },
18 "tos_acceptance": {
19 "date": "2024-01-15T09:30:00Z",
20 "ip": "ip"
21 },
22 "treasury_tos_acceptance": {
23 "date": "2024-01-15T09:30:00Z",
24 "ip": "ip"
25 }
26}
Was this page helpful?
Previous

Update entity onboarding documents

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entity_idstringRequired

Headers

x-monite-versionstringRequired

Request

This endpoint expects an object.
business_profileobjectOptional
Business information about the entity.
ownership_declarationobjectOptional
Used to attest that the beneficial owner information provided is both current and correct.
tos_acceptanceobjectOptional
Details on the entity's acceptance of the service agreement.
treasury_tos_acceptanceobjectOptional
Unused. Reserved for future use.

Response

Successful Response
business_profileobject
Business information about the entity.
ownership_declarationobject
Used to attest that the beneficial owner information provided is both current and correct.
tos_acceptanceobject
Details on the entity's acceptance of the service agreement.
treasury_tos_acceptanceobject
Unused. Reserved for future use.

Errors

401
Patch Entities ID Onboarding Data Request Unauthorized Error
404
Patch Entities ID Onboarding Data Request Not Found Error
409
Patch Entities ID Onboarding Data Request Conflict Error
422
Patch Entities ID Onboarding Data Request Unprocessable Entity Error
429
Patch Entities ID Onboarding Data Request Too Many Requests Error